#!/bin/sh

# Mount /usr/share/nginx/html must be persistent for this test to work properly
# in the Docker Swarm since it does not just restart the container but rather
# removes it and then starts it.
SFILE=/usr/share/nginx/html/status

# I am unhealthy until I get restarted and then I will become healthy again.
# That way I will be healthy every even run and unhealthy every odd run.
grep dead $SFILE && ( echo alive | tee $SFILE ) || ( echo dead | tee $SFILE )

exec nginx -g "daemon off;"
